org.jboss.shrinkwrap.descriptor.api.connector10

## Interface Connector<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface Connector<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `connector` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connector<T>` | `description(java.lang.String description)` Sets the `description` element
    `Connector<T>` | `displayName(java.lang.String displayName)` Sets the `display-name` element
    `Connector<T>` | `eisType(java.lang.String eisType)` Sets the `eis-type` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getDisplayName()` Returns the `display-name` element
    `java.lang.String` | `getEisType()` Returns the `eis-type` element
    `Icon<Connector<T>>` | `getOrCreateIcon()` If not already created, a new `icon` element with the given value will be created.
    `License<Connector<T>>` | `getOrCreateLicense()` If not already created, a new `license` element with the given value will be created.
    `Resourceadapter<Connector<T>>` | `getOrCreateResourceadapter()` If not already created, a new `resourceadapter` element with the given value will be created.
    `java.lang.String` | `getSpecVersion()` Returns the `spec-version` element
    `java.lang.String` | `getVendorName()` Returns the `vendor-name` element
    `java.lang.String` | `getVersion()` Returns the `version` element
    `Connector<T>` | `removeDescription()` Removes the `description` element
    `Connector<T>` | `removeDisplayName()` Removes the `display-name` element
    `Connector<T>` | `removeEisType()` Removes the `eis-type` element
    `Connector<T>` | `removeIcon()` Removes the `icon` element
    `Connector<T>` | `removeLicense()` Removes the `license` element
    `Connector<T>` | `removeResourceadapter()` Removes the `resourceadapter` element
    `Connector<T>` | `removeSpecVersion()` Removes the `spec-version` element
    `Connector<T>` | `removeVendorName()` Removes the `vendor-name` element
    `Connector<T>` | `removeVersion()` Removes the `version` element
    `Connector<T>` | `specVersion(java.lang.String specVersion)` Sets the `spec-version` element
    `Connector<T>` | `vendorName(java.lang.String vendorName)` Sets the `vendor-name` element
    `Connector<T>` | `version(java.lang.String version)` Sets the `version` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### specVersion

          Connector<T> specVersion(java.lang.String specVersion)

      Sets the `spec-version` element
      Parameters:
        `specVersion` - the value for the element `spec-version`
      Returns:
        the current instance of `Connector`

    - #### getSpecVersion

          java.lang.String getSpecVersion()

      Returns the `spec-version` element
      Returns:
        the node defined for the element `spec-version`

    - #### removeSpecVersion

          Connector<T> removeSpecVersion()

      Removes the `spec-version` element
      Returns:
        the current instance of `Connector`

    - #### getOrCreateLicense

          License<Connector<T>> getOrCreateLicense()

      If not already created, a new `license` element with the given value will be created. Otherwise, the existing `license` element will be returned.
      Returns:
        a new or existing instance of `License>`

    - #### removeLicense

          Connector<T> removeLicense()

      Removes the `license` element
      Returns:
        the current instance of `Connector`

    - #### displayName

          Connector<T> displayName(java.lang.String displayName)

      Sets the `display-name` element
      Parameters:
        `displayName` - the value for the element `display-name`
      Returns:
        the current instance of `Connector`

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns the `display-name` element
      Returns:
        the node defined for the element `display-name`

    - #### removeDisplayName

          Connector<T> removeDisplayName()

      Removes the `display-name` element
      Returns:
        the current instance of `Connector`

    - #### getOrCreateIcon

          Icon<Connector<T>> getOrCreateIcon()

      If not already created, a new `icon` element with the given value will be created. Otherwise, the existing `icon` element will be returned.
      Returns:
        a new or existing instance of `Icon>`

    - #### removeIcon

          Connector<T> removeIcon()

      Removes the `icon` element
      Returns:
        the current instance of `Connector`

    - #### description

          Connector<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `Connector`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          Connector<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `Connector`

    - #### vendorName

          Connector<T> vendorName(java.lang.String vendorName)

      Sets the `vendor-name` element
      Parameters:
        `vendorName` - the value for the element `vendor-name`
      Returns:
        the current instance of `Connector`

    - #### getVendorName

          java.lang.String getVendorName()

      Returns the `vendor-name` element
      Returns:
        the node defined for the element `vendor-name`

    - #### removeVendorName

          Connector<T> removeVendorName()

      Removes the `vendor-name` element
      Returns:
        the current instance of `Connector`

    - #### eisType

          Connector<T> eisType(java.lang.String eisType)

      Sets the `eis-type` element
      Parameters:
        `eisType` - the value for the element `eis-type`
      Returns:
        the current instance of `Connector`

    - #### getEisType

          java.lang.String getEisType()

      Returns the `eis-type` element
      Returns:
        the node defined for the element `eis-type`

    - #### removeEisType

          Connector<T> removeEisType()

      Removes the `eis-type` element
      Returns:
        the current instance of `Connector`

    - #### version

          Connector<T> version(java.lang.String version)

      Sets the `version` element
      Parameters:
        `version` - the value for the element `version`
      Returns:
        the current instance of `Connector`

    - #### getVersion

          java.lang.String getVersion()

      Returns the `version` element
      Returns:
        the node defined for the element `version`

    - #### removeVersion

          Connector<T> removeVersion()

      Removes the `version` element
      Returns:
        the current instance of `Connector`

    - #### getOrCreateResourceadapter

          Resourceadapter<Connector<T>> getOrCreateResourceadapter()

      If not already created, a new `resourceadapter` element with the given value will be created. Otherwise, the existing `resourceadapter` element will be returned.
      Returns:
        a new or existing instance of `Resourceadapter>`

    - #### removeResourceadapter

          Connector<T> removeResourceadapter()

      Removes the `resourceadapter` element
      Returns:
        the current instance of `Connector`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)